Bug 1533728 - [RFE][L-8]Ability to attach ISO in UI dropdown for VMware vSphere
Summary: [RFE][L-8]Ability to attach ISO in UI dropdown for VMware vSphere
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: MVP
: 5.10.0
Assignee: lgalis
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1601570
Blocks: 1555371 1591578
TreeView+ depends on / blocked
 
Reported: 2018-01-12 04:28 UTC by Tuan
Modified: 2019-02-07 23:01 UTC (History)
15 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Comment 3 Adam Grare 2018-04-24 19:43:15 UTC
I am planning on adding this to the existing vm_reconfigure_task code since that follows with how you do this in vmware.

One tricky point is how do you get a list of ISOs to be able to select?  We get files on datastores through datastore smartstate which creates StorageFile records, there is an `ext_name: "iso"` which we can use to get the list of ISO images but it will require a smartstate scan.

As for Hyper-V support, we don't have vm reconfigure at all for scvmm nor do we have storage smartstate so this feature is going to be drastically more difficult for scvmm.

Comment 9 CFME Bot 2018-05-02 18:15:55 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/c8fbfdc9c5527a75fdc1a54b0ac356c133f3614d
commit c8fbfdc9c5527a75fdc1a54b0ac356c133f3614d
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Apr 26 16:49:13 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Apr 26 16:49:13 2018 -0400

    Add support for reconfigure cdroms

    https://bugzilla.redhat.com/show_bug.cgi?id=1533728

 app/models/mixins/supports_feature_mixin.rb | 1 +
 app/models/vm_reconfigure_task.rb | 2 +
 2 files changed, 3 insertions(+)

Comment 10 CFME Bot 2018-05-14 21:28:48 UTC
New commit detected on ManageIQ/vmware_web_service/master:

https://github.com/ManageIQ/vmware_web_service/commit/0a71f13fa93e351e64001d96c46c94313158cbf3
commit 0a71f13fa93e351e64001d96c46c94313158cbf3
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Apr 30 09:17:21 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Mon Apr 30 09:17:21 2018 -0400

    Add a getDeviceByLabel method

    Add a method to return a VirtualDevice by label and refactor the
    existing getDeviceKeysByLabel to use it.

    https://bugzilla.redhat.com/show_bug.cgi?id=1533728

 lib/VMwareWebService/MiqVimVm.rb | 20 +-
 1 file changed, 8 insertions(+), 12 deletions(-)

Comment 11 CFME Bot 2018-05-17 12:12:21 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/master:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/fd8c9eb9ac416852c2b12a5432a1c54ceb130b51
commit fd8c9eb9ac416852c2b12a5432a1c54ceb130b51
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Apr 26 16:49:37 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Apr 26 16:49:37 2018 -0400

    Add support for reconfigure cdrom

    https://bugzilla.redhat.com/show_bug.cgi?id=1533728

 app/models/manageiq/providers/vmware/infra_manager/vm.rb | 2 +-
 app/models/manageiq/providers/vmware/infra_manager/vm/reconfigure.rb | 70 +-
 spec/models/manageiq/providers/vmware/infra_manager/vm/reconfigure_spec.rb | 99 +-
 3 files changed, 159 insertions(+), 12 deletions(-)

Comment 16 Sudhir Mallamprabhakara 2018-08-19 23:56:55 UTC
Niyaz - BZ1601570 is Verified. Can you verify this BZ?

- Sudhir

Comment 17 Niyaz Akhtar Ansari 2018-08-20 07:20:32 UTC
Hi Sudhir, 

I followed the steps but seems to be issue while verification. 
On Friday I had discussion with lgalis on gitther regarding the this bz.
lgalis working on it.

Comment 22 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.